Explore endpoint

Use the Explore endpoint to programmatically access your Violet data.

Getting started

First, you'll need to Generate an API key.

Next, your API endpoint is either:

  • https://[YOUR-TENANT-NAME].violetlabs.com/api/ for Violet customers

  • https://[YOUR-TENANT-NAME].violetgov.com/api/ for VioletGov customers

Last, the API payload is described in the API specification below, but the easiest way to generate a query is actually via the Data Explorer.

Generate a query

  1. Head to Data Explorer to generate a query. You can use Quick Views, a saved exploration, or filters to configure the query for the data you're interested in.

  1. Next, click the Copy API payload button in the toolbar.

  1. The API payload for the query will copy to your clipboard - you can then paste this directly into a request.

Try it out in Postman

To test in Postmanarrow-up-right:

  1. Create a new Postman request, select the POST method, and populate your URL (eg. https://magictoaster.violetlabs.com/api/explore/arrow-up-right)

  2. In the Authorization tab, select API Key in the Auth Type dropdown. Enter x-api-key for the Key, and populate your API key for the Value.

  1. In the Body tab, select raw, then paste the API payload you generated above. Click Send.

  1. Your results should appear below.

  1. We love using Postman's Visualizerarrow-up-right to generate visualizations of your data:

Why POST?

The Explore endpoint supports a rich set of data filtering options, so Violet uses a POST endpoint for the query. This allows complex queries to be sent in a body payload instead of directly in the URL.

API specification

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
keywordstringOptional

Search keyword to filter entities

Example: part number
groupKeysarrayOptional

Array of group keys (strings or objects)

sortobjectOptional

Elasticsearch sort configuration

pagenumber · min: 1Optional

Page number (1-indexed)

Example: 1
limitnumber · min: 1Optional

Number of items per page

Example: 50
includeParametersbooleanOptional

Whether to include parameters in the response

Default: false
includeSubEntitiesbooleanOptional

Whether to include sub-entities in the response

Default: false
includeSchemasbooleanOptional

Whether to include entity schemas in the response

Default: false
Responses
chevron-right
200

Search for entities

application/json
and
post
/api/explore
200

Search for entities

Last updated

Was this helpful?